> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary metrics for multiple stake authorities

> This endpoint returns various metrics for all stake authorities aggregated across different time windows.



## OpenAPI

````yaml get /v1/solana/delegators/stakeAuthorities
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/delegators/stakeAuthorities:
    get:
      tags:
        - Solana Overview
      summary: Get summary metrics for multiple stake authorities
      description: >-
        This endpoint returns various metrics for all stake authorities
        aggregated across different time windows.
      operationId: stake_authority_summaries_v1_solana_delegators_stakeAuthorities_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__11
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__11:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              SolanaDelegation:
                properties:
                  validatorVoteAccount:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Validatorvoteaccount
                  validatorName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Validatorname
                  percentage:
                    anyOf:
                      - type: number
                      - type: string
                      - type: 'null'
                    title: Percentage
                type: object
                title: SolanaDelegation
              TimeWindow:
                type: string
                enum:
                  - 1d
                  - 7d
                  - 30d
                  - all
                title: TimeWindow
            properties:
              stakeAuthority:
                type: string
                title: Stakeauthority
              poolName:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Poolname
              timeWindow:
                $ref: '#/components/schemas/TimeWindow'
              delegatedStake:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Delegatedstake
              networkPenetration:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Networkpenetration
              validatorDelegates:
                type: integer
                minimum: 0
                title: Validatordelegates
              delegations:
                items:
                  $ref: '#/components/schemas/SolanaDelegation'
                type: array
                title: Delegations
              aggregateValidatorEffectiveness:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Aggregatevalidatoreffectiveness
              blendedVoteCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Blendedvotecommissionrate
              blendedMevCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Blendedmevcommissionrate
              sumStakingRewards:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Sumstakingrewards
              sumMevRewards:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Summevrewards
              sumRewards:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Sumrewards
              sumStakingCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Sumstakingcommissionpaid
              sumMevCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Summevcommissionpaid
              sumCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Sumcommissionpaid
              stakingRewardsApy:
                anyOf:
                  - type: number
                  - type: string
                title: Stakingrewardsapy
              mevRewardsApr:
                anyOf:
                  - type: number
                  - type: string
                title: Mevrewardsapr
              delegatorApy:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatorapy
              sumMissedStakingRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Summissedstakingrewards
            type: object
            required:
              - stakeAuthority
              - timeWindow
              - validatorDelegates
              - delegations
              - stakingRewardsApy
              - mevRewardsApr
              - delegatorApy
              - sumMissedStakingRewards
            title: SolanaDelegatorStakeAuthoritySummary
            examples:
              - aggregateValidatorEffectiveness: 0.984
                blendedMevCommissionRate: 0.07
                blendedVoteCommissionRate: 0.07
                delegatedStake: 100000.55
                delegations:
                  - percentage: 0.8
                    validatorName: Ledger by Figment
                    validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                  - percentage: 0.2
                    validatorName: Aurora Validator
                    validatorVoteAccount: 34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs
                delegatorApy: 0.05
                mevRewardsApr: 0
                networkPenetration: 0.24
                stakeAuthority: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
                stakingRewardsApy: 0.05
                sumCommissionPaid: 0.0001
                sumMevCommissionPaid: 0
                sumMevRewards: 0
                sumMissedStakingRewards: 0
                sumRewards: 0.002
                sumStakingCommissionPaid: 0.0001
                sumStakingRewards: 0.002
                timeWindow: 1d
                validatorDelegates: 2
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaDelegatorStakeAuthoritySummary
      examples:
        - next: >-
            https://api.rated.network//v1/solana/delegators/stakeAuthorities?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/delegators/stakeAuthorities?limit=10&offset=10
          results:
            - - aggregateValidatorEffectiveness: 0.984
                blendedMevCommissionRate: 0.07
                blendedVoteCommissionRate: 0.07
                delegatedStake: 100000.55
                delegations:
                  - percentage: 0.8
                    validatorName: Ledger by Figment
                    validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                  - percentage: 0.2
                    validatorName: Aurora Validator
                    validatorVoteAccount: 34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs
                delegatorApy: 0.05
                mevRewardsApr: 0
                networkPenetration: 0.24
                stakeAuthority: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
                stakingRewardsApy: 0.05
                sumCommissionPaid: 0.0001
                sumMevCommissionPaid: 0
                sumMevRewards: 0
                sumMissedStakingRewards: 0
                sumRewards: 0.002
                sumStakingCommissionPaid: 0.0001
                sumStakingRewards: 0.002
                timeWindow: 1d
                validatorDelegates: 2
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    SolanaDelegation:
      properties:
        validatorVoteAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorvoteaccount
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        percentage:
          anyOf:
            - type: string
            - type: 'null'
          title: Percentage
      type: object
      title: SolanaDelegation
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````